> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v2/navigating-the-api/standards-api-standards.md).

# Standards API: Standards

## GET /api/standards/{standard}

> Retrieves one specific standard

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"StandardModel":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid","nullable":true},"BankSetId":{"type":"string","format":"uuid","nullable":true},"CategoryItemId":{"type":"string","format":"uuid","nullable":true},"CreatedBy":{"type":"string","format":"uuid"},"DepartmentGroupId":{"type":"string","format":"uuid","nullable":true},"IndustryItemId":{"type":"string","format":"uuid","nullable":true},"ModifiedBy":{"type":"string","format":"uuid"},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid"},"StandardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"IsCertificateEnabled":{"type":"boolean"},"IsFeedbackEnabled":{"type":"boolean"},"IsHidden":{"type":"boolean"},"IsLocked":{"type":"boolean"},"IsPractical":{"type":"boolean"},"IsPublished":{"type":"boolean"},"IsTemplate":{"type":"boolean"},"IsTheory":{"type":"boolean"},"AuthorName":{"type":"string","nullable":true},"CanvasIdentifier":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"CompetencyScoreCalculationMethod":{"type":"string","nullable":true},"CompetencyScoreSummarizationMethod":{"type":"string","nullable":true},"ContentDescription":{"type":"string","nullable":true},"ContentName":{"type":"string","nullable":true},"ContentSettings":{"type":"string","nullable":true},"ContentSummary":{"type":"string","nullable":true},"ContentTitle":{"type":"string","nullable":true},"CreditIdentifier":{"type":"string","nullable":true},"DocumentType":{"type":"string","nullable":true},"Icon":{"type":"string","nullable":true},"Language":{"type":"string","nullable":true},"LevelCode":{"type":"string","nullable":true},"LevelType":{"type":"string","nullable":true},"MajorVersion":{"type":"string","nullable":true},"MinorVersion":{"type":"string","nullable":true},"SourceDescriptor":{"type":"string","nullable":true},"StandardAlias":{"type":"string","nullable":true},"StandardHook":{"type":"string","nullable":true},"StandardLabel":{"type":"string","nullable":true},"StandardPrivacyScope":{"type":"string","nullable":true},"StandardStatus":{"type":"string","nullable":true},"StandardTier":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true},"Tags":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"CalculationArgument":{"type":"integer","format":"int32","nullable":true},"Sequence":{"type":"integer","format":"int32"},"CertificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"CertificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"CreditHours":{"type":"number","format":"double","nullable":true},"MasteryPoints":{"type":"number","format":"double","nullable":true},"PassingScore":{"type":"number","format":"double","nullable":true},"PointsPossible":{"type":"number","format":"double","nullable":true},"AuthorDate":{"type":"string","format":"date-time","nullable":true},"Created":{"type":"string","format":"date-time"},"DatePosted":{"type":"string","format":"date-time","nullable":true},"Modified":{"type":"string","format":"date-time"},"StandardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"UtcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/standards/{standard}":{"get":{"tags":["Standards API: Standards"],"summary":"Retrieves one specific standard","operationId":"retrieveStandard","parameters":[{"name":"standard","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/StandardModel"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/standards/{standard}

> Checks for the existence of one specific standard

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/standards/{standard}":{"head":{"tags":["Standards API: Standards"],"summary":"Checks for the existence of one specific standard","operationId":"assertStandard","parameters":[{"name":"standard","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/standards/collect

> Collects the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectStandards":{"type":"object","properties":{"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"ParentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ContentTitle":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true}},"additionalProperties":false},"StandardModel":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid","nullable":true},"BankSetId":{"type":"string","format":"uuid","nullable":true},"CategoryItemId":{"type":"string","format":"uuid","nullable":true},"CreatedBy":{"type":"string","format":"uuid"},"DepartmentGroupId":{"type":"string","format":"uuid","nullable":true},"IndustryItemId":{"type":"string","format":"uuid","nullable":true},"ModifiedBy":{"type":"string","format":"uuid"},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid"},"StandardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"IsCertificateEnabled":{"type":"boolean"},"IsFeedbackEnabled":{"type":"boolean"},"IsHidden":{"type":"boolean"},"IsLocked":{"type":"boolean"},"IsPractical":{"type":"boolean"},"IsPublished":{"type":"boolean"},"IsTemplate":{"type":"boolean"},"IsTheory":{"type":"boolean"},"AuthorName":{"type":"string","nullable":true},"CanvasIdentifier":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"CompetencyScoreCalculationMethod":{"type":"string","nullable":true},"CompetencyScoreSummarizationMethod":{"type":"string","nullable":true},"ContentDescription":{"type":"string","nullable":true},"ContentName":{"type":"string","nullable":true},"ContentSettings":{"type":"string","nullable":true},"ContentSummary":{"type":"string","nullable":true},"ContentTitle":{"type":"string","nullable":true},"CreditIdentifier":{"type":"string","nullable":true},"DocumentType":{"type":"string","nullable":true},"Icon":{"type":"string","nullable":true},"Language":{"type":"string","nullable":true},"LevelCode":{"type":"string","nullable":true},"LevelType":{"type":"string","nullable":true},"MajorVersion":{"type":"string","nullable":true},"MinorVersion":{"type":"string","nullable":true},"SourceDescriptor":{"type":"string","nullable":true},"StandardAlias":{"type":"string","nullable":true},"StandardHook":{"type":"string","nullable":true},"StandardLabel":{"type":"string","nullable":true},"StandardPrivacyScope":{"type":"string","nullable":true},"StandardStatus":{"type":"string","nullable":true},"StandardTier":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true},"Tags":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"CalculationArgument":{"type":"integer","format":"int32","nullable":true},"Sequence":{"type":"integer","format":"int32"},"CertificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"CertificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"CreditHours":{"type":"number","format":"double","nullable":true},"MasteryPoints":{"type":"number","format":"double","nullable":true},"PassingScore":{"type":"number","format":"double","nullable":true},"PointsPossible":{"type":"number","format":"double","nullable":true},"AuthorDate":{"type":"string","format":"date-time","nullable":true},"Created":{"type":"string","format":"date-time"},"DatePosted":{"type":"string","format":"date-time","nullable":true},"Modified":{"type":"string","format":"date-time"},"StandardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"UtcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/standards/collect":{"post":{"tags":["Standards API: Standards"],"summary":"Collects the list of standards that match specific criteria","operationId":"collectStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardModel"}}}}}}}}}}
```

## POST /api/standards/count

> Counts the standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountStandards":{"type":"object","properties":{"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"ParentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ContentTitle":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/standards/count":{"post":{"tags":["Standards API: Standards"],"summary":"Counts the standards that match specific criteria","operationId":"countStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/standards/download

> Downloads the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectStandards":{"type":"object","properties":{"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"ParentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ContentTitle":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/standards/download":{"post":{"tags":["Standards API: Standards"],"summary":"Downloads the list of standards that match specific criteria","operationId":"downloadStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/standards/search

> Searches for the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchStandards":{"type":"object","properties":{"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"ParentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ContentTitle":{"type":"string","nullable":true},"StandardType":{"type":"string","nullable":true}},"additionalProperties":false},"StandardMatch":{"type":"object","properties":{"Id":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"Code":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/standards/search":{"post":{"tags":["Standards API: Standards"],"summary":"Searches for the list of standards that match specific criteria","operationId":"searchStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardMatch"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/standards-api-standards.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
